Libraries

bamboozler

New Member
Credits
103
So if a program I download has says it requires these libraries and gives me a list, how would I go about loading them? For example -

besides the libriaries which the video and sound plugins need, requires
the following libraries :

linux-gate.so.1 => (0xb7739000)
libncurses.so.5 => /lib/i386-linux-gnu/libncurses.so.5 (0xb76eb000)
libtinfo.so.5 => /lib/i386-linux-gnu/libtinfo.so.5 (0xb76c9000)
libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xb76c3000)
libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0xb76a9000)
libGL.so.1 => /usr/lib/i386-linux-gnu/mesa/libGL.so.1 (0xb7649000)
libasound.so.2 => /usr/lib/i386-linux-gnu/libasound.so.2 (0xb7553000)
libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xb741f000)
libcurl.so.4 => /usr/lib/i386-linux-gnu/libcurl.so.4 (0xb73b6000)
libcrypto.so.1.0.0 => /lib/i386-linux-gnu/libcrypto.so.1.0.0 (0xb7209000)
libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xb71ed000)
libgtk-3.so.0 => /usr/lib/i386-linux-gnu/libgtk-3.so.0 (0xb6c9e000)
libgdk-3.so.0 => /usr/lib/i386-linux-gnu/libgdk-3.so.0 (0xb6bf9000)
libgio-2.0.so.0 => /usr/lib/i386-linux-gnu/libgio-2.0.so.0 (0xb6a77000)
libgdk_pixbuf-2.0.so.0 => /usr/lib/i386-linux-gnu/libgdk_pixbuf-2.0.so.0 (0xb6a54000)
libgobject-2.0.so.0 => /usr/lib/i386-linux-gnu/libgobject-2.0.so.0 (0xb6a02000)
libglib-2.0.so.0 => /lib/i386-linux-gnu/libglib-2.0.so.0 (0xb68f6000)
libSDL-1.2.so.0 => /usr/lib/i386-linux-gnu/libSDL-1.2.so.0 (0xb685e000)
libSDL_ttf-2.0.so.0 => /usr/lib/i386-linux-gnu/libSDL_ttf-2.0.so.0 (0xb6855000)
libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xb674d000)
libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xb6730000)
libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xb6582000)
/lib/ld-linux.so.2 (0xb773a000)
libglapi.so.0 => /usr/lib/i386-linux-gnu/libglapi.so.0 (0xb656a000)
libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xb6556000)
libXdamage.so.1 => /usr/lib/i386-linux-gnu/libXdamage.so.1 (0xb6552000)
libXfixes.so.3 => /usr/lib/i386-linux-gnu/libXfixes.so.3 (0xb654c000)
libX11-xcb.so.1 => /usr/lib/i386-linux-gnu/libX11-xcb.so.1 (0xb6549000)
libxcb-glx.so.0 => /usr/lib/i386-linux-gnu/libxcb-glx.so.0 (0xb6531000)
libxcb-dri2.so.0 => /usr/lib/i386-linux-gnu/libxcb-dri2.so.0 (0xb652a000)
libxcb-dri3.so.0 => /usr/lib/i386-linux-gnu/libxcb-dri3.so.0 (0xb6526000)
libxcb-present.so.0 => /usr/lib/i386-linux-gnu/libxcb-present.so.0 (0xb6522000)
libxcb-sync.so.1 => /usr/lib/i386-linux-gnu/libxcb-sync.so.1 (0xb651b000)
libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xb64f9000)
libxshmfence.so.1 => /usr/lib/i386-linux-gnu/libxshmfence.so.1 (0xb64f5000)
libXxf86vm.so.1 => /usr/lib/i386-linux-gnu/libXxf86vm.so.1 (0xb64ef000)
libdrm.so.2 => /usr/lib/i386-linux-gnu/libdrm.so.2 (0xb64e2000)
libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xb649c000)
librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xb6493000)
libidn.so.11 => /usr/lib/i386-linux-gnu/libidn.so.11 (0xb645f000)
librtmp.so.0 => /usr/lib/i386-linux-gnu/librtmp.so.0 (0xb6444000)
libssl.so.1.0.0 => /lib/i386-linux-gnu/libssl.so.1.0.0 (0xb63ec000)
libgssapi_krb5.so.2 => /usr/lib/i386-linux-gnu/libgssapi_krb5.so.2 (0xb63a7000)
liblber-2.4.so.2 => /usr/lib/i386-linux-gnu/liblber-2.4.so.2 (0xb6398000)
libldap_r-2.4.so.2 => /usr/lib/i386-linux-gnu/libldap_r-2.4.so.2 (0xb6345000)
libgmodule-2.0.so.0 => /usr/lib/i386-linux-gnu/libgmodule-2.0.so.0 (0xb6340000)
libpangocairo-1.0.so.0 => /usr/lib/i386-linux-gnu/libpangocairo-1.0.so.0 (0xb6333000)
libXi.so.6 => /usr/lib/i386-linux-gnu/libXi.so.6 (0xb6322000)
libcairo-gobject.so.2 => /usr/lib/i386-linux-gnu/libcairo-gobject.so.2 (0xb631b000)
libcairo.so.2 => /usr/lib/i386-linux-gnu/libcairo.so.2 (0xb61f7000)
libatk-1.0.so.0 => /usr/lib/i386-linux-gnu/libatk-1.0.so.0 (0xb61d6000)
libatk-bridge-2.0.so.0 => /usr/lib/i386-linux-gnu/libatk-bridge-2.0.so.0 (0xb61ac000)
libpangoft2-1.0.so.0 => /usr/lib/i386-linux-gnu/libpangoft2-1.0.so.0 (0xb6196000)
libpango-1.0.so.0 => /usr/lib/i386-linux-gnu/libpango-1.0.so.0 (0xb6149000)
libfontconfig.so.1 => /usr/lib/i386-linux-gnu/libfontconfig.so.1 (0xb610d000)
libXinerama.so.1 => /usr/lib/i386-linux-gnu/libXinerama.so.1 (0xb6109000)
libXrandr.so.2 => /usr/lib/i386-linux-gnu/libXrandr.so.2 (0xb60fe000)
libXcursor.so.1 => /usr/lib/i386-linux-gnu/libXcursor.so.1 (0xb60f3000)
libXcomposite.so.1 => /usr/lib/i386-linux-gnu/libXcomposite.so.1 (0xb60ef000)
libwayland-client.so.0 => /usr/lib/i386-linux-gnu/libwayland-client.so.0 (0xb60e2000)
libxkbcommon.so.0 => /usr/lib/i386-linux-gnu/libxkbcommon.so.0 (0xb60a6000)
libwayland-cursor.so.0 => /usr/lib/i386-linux-gnu/libwayland-cursor.so.0 (0xb609d000)
libselinux.so.1 => /lib/i386-linux-gnu/libselinux.so.1 (0xb607a000)
libresolv.so.2 => /lib/i386-linux-gnu/libresolv.so.2 (0xb6062000)
libffi.so.6 => /usr/lib/i386-linux-gnu/libffi.so.6 (0xb605a000)
libpcre.so.3 => /lib/i386-linux-gnu/libpcre.so.3 (0xb601c000)
libpulse-simple.so.0 => /usr/lib/i386-linux-gnu/libpulse-simple.so.0 (0xb6017000)
libpulse.so.0 => /usr/lib/i386-linux-gnu/libpulse.so.0 (0xb5fc8000)
libcaca.so.0 => /usr/lib/i386-linux-gnu/libcaca.so.0 (0xb5efc000)
libfreetype.so.6 => /usr/lib/i386-linux-gnu/libfreetype.so.6 (0xb5e5b000)
libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xb5e57000)
libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xb5e50000)
libgnutls.so.26 => /usr/lib/i386-linux-gnu/libgnutls.so.26 (0xb5d8a000)
libgcrypt.so.11 => /lib/i386-linux-gnu/libgcrypt.so.11 (0xb5d03000)
libkrb5.so.3 => /usr/lib/i386-linux-gnu/libkrb5.so.3 (0xb5c45000)
libk5crypto.so.3 => /usr/lib/i386-linux-gnu/libk5crypto.so.3 (0xb5c15000)
libcom_err.so.2 => /lib/i386-linux-gnu/libcom_err.so.2 (0xb5c10000)
libkrb5support.so.0 => /usr/lib/i386-linux-gnu/libkrb5support.so.0 (0xb5c04000)
libsasl2.so.2 => /usr/lib/i386-linux-gnu/libsasl2.so.2 (0xb5be8000)
libgssapi.so.3 => /usr/lib/i386-linux-gnu/libgssapi.so.3 (0xb5bac000)
libpixman-1.so.0 => /usr/lib/i386-linux-gnu/libpixman-1.so.0 (0xb5b02000)
libpng12.so.0 => /lib/i386-linux-gnu/libpng12.so.0 (0xb5ada000)
libxcb-shm.so.0 => /usr/lib/i386-linux-gnu/libxcb-shm.so.0 (0xb5ad6000)
libxcb-render.so.0 => /usr/lib/i386-linux-gnu/libxcb-render.so.0 (0xb5acb000)
libXrender.so.1 => /usr/lib/i386-linux-gnu/libXrender.so.1 (0xb5ac0000)
libatspi.so.0 => /usr/lib/i386-linux-gnu/libatspi.so.0 (0xb5a96000)
libdbus-1.so.3 => /lib/i386-linux-gnu/libdbus-1.so.3 (0xb5a4b000)
libharfbuzz.so.0 => /usr/lib/i386-linux-gnu/libharfbuzz.so.0 (0xb59f5000)
libthai.so.0 => /usr/lib/i386-linux-gnu/libthai.so.0 (0xb59ea000)
libexpat.so.1 => /lib/i386-linux-gnu/libexpat.so.1 (0xb59c1000)
libpulsecommon-4.0.so => /usr/lib/i386-linux-gnu/pulseaudio/libpulsecommon-4.0.so (0xb5952000)
libjson-c.so.2 => /lib/i386-linux-gnu/libjson-c.so.2 (0xb5947000)
libslang.so.2 => /lib/i386-linux-gnu/libslang.so.2 (0xb5817000)
libncursesw.so.5 => /lib/i386-linux-gnu/libncursesw.so.5 (0xb57e0000)
libtasn1.so.6 => /usr/lib/i386-linux-gnu/libtasn1.so.6 (0xb57cc000)
libp11-kit.so.0 => /usr/lib/i386-linux-gnu/libp11-kit.so.0 (0xb5790000)
libgpg-error.so.0 => /lib/i386-linux-gnu/libgpg-error.so.0 (0xb578b000)
libkeyutils.so.1 => /lib/i386-linux-gnu/libkeyutils.so.1 (0xb5786000)
libheimntlm.so.0 => /usr/lib/i386-linux-gnu/libheimntlm.so.0 (0xb577d000)
libkrb5.so.26 => /usr/lib/i386-linux-gnu/libkrb5.so.26 (0xb56f7000)
libasn1.so.8 => /usr/lib/i386-linux-gnu/libasn1.so.8 (0xb5651000)
libhcrypto.so.4 => /usr/lib/i386-linux-gnu/libhcrypto.so.4 (0xb561c000)
libroken.so.18 => /usr/lib/i386-linux-gnu/libroken.so.18 (0xb5605000)
libgraphite2.so.3 => /usr/lib/i386-linux-gnu/libgraphite2.so.3 (0xb55e9000)
libdatrie.so.1 => /usr/lib/i386-linux-gnu/libdatrie.so.1 (0xb55e0000)
libwrap.so.0 => /lib/i386-linux-gnu/libwrap.so.0 (0xb55d6000)
libsndfile.so.1 => /usr/lib/i386-linux-gnu/libsndfile.so.1 (0xb5564000)
libasyncns.so.0 => /usr/lib/i386-linux-gnu/libasyncns.so.0 (0xb555c000)
libwind.so.0 => /usr/lib/i386-linux-gnu/libwind.so.0 (0xb5533000)
libheimbase.so.1 => /usr/lib/i386-linux-gnu/libheimbase.so.1 (0xb5524000)
libhx509.so.5 => /usr/lib/i386-linux-gnu/libhx509.so.5 (0xb54dd000)
libsqlite3.so.0 => /usr/lib/i386-linux-gnu/libsqlite3.so.0 (0xb5420000)
libcrypt.so.1 => /lib/i386-linux-gnu/libcrypt.so.1 (0xb53ee000)
libnsl.so.1 => /lib/i386-linux-gnu/libnsl.so.1 (0xb53d5000)
libFLAC.so.8 => /usr/lib/i386-linux-gnu/libFLAC.so.8 (0xb53a1000)
libvorbisenc.so.2 => /usr/lib/i386-linux-gnu/libvorbisenc.so.2 (0xb5229000)
libvorbis.so.0 => /usr/lib/i386-linux-gnu/libvorbis.so.0 (0xb51fd000)
libogg.so.0 => /usr/lib/i386-linux-gnu/libogg.so.0 (0xb51f3000)
 


Condobloke

Well-Known Member
Credits
7,827
G'day bamboozler, Welcome to Linux.org

SO your 'program' does not offer to install all the necessary dependencies

Lousy program

What is the program ?
 

bamboozler

New Member
Credits
103
ePSXe playstation emulator for 32 bit linux :/ about got me to give up... i386 seems to be making it hard to run any game I'd like to play. I'm on an older dell laptop giving linux a go for the first time to try and revive the thing. I love the way linux runs but I think the 32 bit processor is just too outdated to do much..
 

Members online


Top